Bug 966221 - Review Request: nodejs-require-all - Require all files within a directory
Review Request: nodejs-require-all - Require all files within a directory
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 966223
  Show dependency treegraph
 
Reported: 2013-05-22 15:55 EDT by Troy Dawson
Modified: 2013-08-01 23:52 EDT (History)
3 users (show)

See Also:
Fixed In Version: nodejs-require-all-0.0.6-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 23:42:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2013-05-22 15:55:08 EDT
Spec URL: http://tdawson.fedorapeople.org/nodejs/nodejs-require-all.spec
SRPM URL: http://tdawson.fedorapeople.org/nodejs/nodejs-require-all-0.0.6-1.fc20.src.rpm
Description: An easy way to require all files within a directory.
Fedora Account System Username: tdawson
Comment 1 Michael Scherer 2013-07-20 07:23:08 EDT
Besides misisng tests, the package is good to go.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-require-all-0.0.6-1.fc19.noarch.rpm
          nodejs-require-all-0.0.6-1.fc19.src.rpm
nodejs-require-all.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-require-all
nodejs-require-all.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-require-all (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-require-all:
    nodejs-require-all
    npm(require-all)



Source checksums
----------------
http://registry.npmjs.org/require-all/-/require-all-0.0.6.tgz :
  CHECKSUM(SHA256) this package     : c5b2f645ec81a8a95845d071e32780f6beb7f33a921d3a1273913db09fc5fd57
  CHECKSUM(SHA256) upstream package : c5b2f645ec81a8a95845d071e32780f6beb7f33a921d3a1273913db09fc5fd57


Generated by fedora-review 0.4.0 (cf29f98) last change: 2013-02-08
Buildroot used: fedora-19-x86_64
Command line :./try-fedora-review -b 966221
Comment 2 Troy Dawson 2013-07-22 09:30:30 EDT
New Package SCM Request
=======================
Package Name: nodejs-require-all
Short Description: Require all files within a directory
Owners: tdawson
Branches: f18 f19 el6
InitialCC:
Comment 3 Jon Ciesla 2013-07-22 10:34:52 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-07-22 12:00:29 EDT
nodejs-require-all-0.0.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-require-all-0.0.6-1.fc19
Comment 5 Fedora Update System 2013-07-22 12:01:36 EDT
nodejs-require-all-0.0.6-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-require-all-0.0.6-1.fc18
Comment 6 Fedora Update System 2013-07-23 23:23:21 EDT
nodejs-require-all-0.0.6-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 7 Fedora Update System 2013-08-01 23:42:51 EDT
nodejs-require-all-0.0.6-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 8 Fedora Update System 2013-08-01 23:52:34 EDT
nodejs-require-all-0.0.6-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.